cordova-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From agri...@apache.org
Subject [1/3] git commit: checkjs->checkjs.sh and allow executing from other CWDs.
Date Fri, 07 Mar 2014 21:01:28 GMT
Repository: cordova-app-harness
Updated Branches:
  refs/heads/master 8950c4364 -> 6667ea078


checkjs->checkjs.sh and allow executing from other CWDs.


Project: http://git-wip-us.apache.org/repos/asf/cordova-app-harness/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-app-harness/commit/80c953ab
Tree: http://git-wip-us.apache.org/repos/asf/cordova-app-harness/tree/80c953ab
Diff: http://git-wip-us.apache.org/repos/asf/cordova-app-harness/diff/80c953ab

Branch: refs/heads/master
Commit: 80c953abd34e5536b9834455f263c5fb46471279
Parents: 8950c43
Author: Andrew Grieve <agrieve@chromium.org>
Authored: Fri Mar 7 15:57:21 2014 -0500
Committer: Andrew Grieve <agrieve@chromium.org>
Committed: Fri Mar 7 15:57:54 2014 -0500

----------------------------------------------------------------------
 checkjs    | 30 ------------------------------
 checkjs.sh | 31 +++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+), 30 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-app-harness/blob/80c953ab/checkjs
----------------------------------------------------------------------
diff --git a/checkjs b/checkjs
deleted file mode 100755
index 3d104f1..0000000
--- a/checkjs
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/bash
-#       Licensed to the Apache Software Foundation (ASF) under one
-#       or more contributor license agreements.  See the NOTICE file
-#       distributed with this work for additional information
-#       regarding copyright ownership.  The ASF licenses this file
-#       to you under the Apache License, Version 2.0 (the
-#       "License"); you may not use this file except in compliance
-#       with the License.  You may obtain a copy of the License at
-#
-#         http://www.apache.org/licenses/LICENSE-2.0
-#
-#       Unless required by applicable law or agreed to in writing,
-#       software distributed under the License is distributed on an
-#       "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-#       KIND, either express or implied.  See the License for the
-#       specific language governing permissions and limitations
-#       under the License.
-#
-# run jshint with the required parameters
-#
-# USAGE
-#   ./checkjs
-#
-
-if ! which jshint; then
-  echo "jshint not installed. Install it with: npm install -g jshint"
-  exit 1
-fi
-echo "Running jsHint"
-jshint www/ --exclude www/cdvah/js/libs --verbose --show-non-errors

http://git-wip-us.apache.org/repos/asf/cordova-app-harness/blob/80c953ab/checkjs.sh
----------------------------------------------------------------------
diff --git a/checkjs.sh b/checkjs.sh
new file mode 100755
index 0000000..d77bf19
--- /dev/null
+++ b/checkjs.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+#       Licensed to the Apache Software Foundation (ASF) under one
+#       or more contributor license agreements.  See the NOTICE file
+#       distributed with this work for additional information
+#       regarding copyright ownership.  The ASF licenses this file
+#       to you under the Apache License, Version 2.0 (the
+#       "License"); you may not use this file except in compliance
+#       with the License.  You may obtain a copy of the License at
+#
+#         http://www.apache.org/licenses/LICENSE-2.0
+#
+#       Unless required by applicable law or agreed to in writing,
+#       software distributed under the License is distributed on an
+#       "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#       KIND, either express or implied.  See the License for the
+#       specific language governing permissions and limitations
+#       under the License.
+#
+# run jshint with the required parameters
+#
+# USAGE
+#   ./checkjs
+#
+
+if ! which jshint; then
+  echo "jshint not installed. Install it with: npm install -g jshint"
+  exit 1
+fi
+echo "Running jsHint"
+cd $(dirname "$0")
+jshint www/ --exclude www/cdvah/js/libs --verbose --show-non-errors


Mime
View raw message